uart.h File Reference

library for UART communication (API) More...

Go to the source code of this file.

## Functions

void | uart_setup (void)
| setup UART peripheral
void | uart_putchar_blocking (char c)
| send character over UART (blocking) More...
void | uart_flush (void)
| ensure all data has been transmitted (blocking) More...
void | uart_putchar_nonblocking (char c)
| send character over UART (non-blocking) More...

## Detailed Description

library for UART communication (API)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2016-2018

Note
  peripherals used: USART USART peripheral used for UART communication

Definition in file uart.h.

## Function Documentation

## uart_flush()

void uart_flush | ( | void |  | ) |

ensure all data has been transmitted (blocking)

Note
  block until all data has been transmitted

Definition at line 83 of file uart.c.

## uart_putchar_blocking()

void uart_putchar_blocking | ( | char | c | ) |

send character over UART (blocking)

Parameters

  [in] | c | character to send

Note
  blocks until character transmission started

Definition at line 77 of file uart.c.

## uart_putchar_nonblocking()

void uart_putchar_nonblocking | ( | char | c | ) |

send character over UART (non-blocking)

Parameters

  [in] | c | character to send

Note
  blocks if transmit buffer is full, else puts in buffer and returns

Definition at line 91 of file uart.c.